#import <Flutter/Flutter.h>
#import <DapiConnect/DapiConnect.h>

@class SuccessfulConnectionStream;
@class FailureConnectionStream;

@interface DapiPlugin : NSObject<FlutterPlugin>
    @property SuccessfulConnectionStream *successfulConnectionStream;
    @property FailureConnectionStream *failureConnectionStream;
    @property FailureConnectionStream *bankRequestStream;
    @property FailureConnectionStream *connectDismissedStream;
    @property FailureConnectionStream *transferUiDismissedStream;


@end

@interface SuccessfulConnectionStream : NSObject <FlutterStreamHandler>
- (void)send:(NSDictionary *)data;
@end

@interface FailureConnectionStream : NSObject <FlutterStreamHandler>
- (void)send:(NSDictionary *)data;
@end

@interface BankRequestStream : NSObject <FlutterStreamHandler>
- (void)send:(NSDictionary *)data;
@end

@interface ConnectDismissedStream : NSObject <FlutterStreamHandler>
- (void)send:(NSDictionary *)data;
@end

@interface TransferUiDismissedStream : NSObject <FlutterStreamHandler>
- (void)send:(NSDictionary *)data;
@end
